Results 1 to 18 of 18
  1. #1

    problem with php 5.2.10

    Hi. After installing my new php. That I encountered this problem with 5.2.10.
    Easy::Apache v3.2.0 Build 4766
    apache 2.2.11
    http://www.imageurlhost.com/images/r...k2admitn3b.jpg

  2. #2
    Join Date
    Apr 2005
    Posts
    1,711
    Did you do the EA3 build with suPHP?
    If so, you can run this from SSH:

    /usr/local/cpanel/bin/rebuild_phpconf 5 suphp suphp 1
    Zach E. - Kualowww.kualo.com
    Shared Web Hosting, Reseller Hosting, Cloud VPS & Dedicated Servers
    UK: 0800 138 3235 ❘ USA: 1-800-995-8256

  3. #3
    [email protected] [~]# /usr/local/cpanel/bin/rebuild_phpconf 5 suphp suphp 1
    warn [Cpanel:HPConfig] Unexpected output from /usr/bin/php -v :
    Invalid combination.
    PHP5 is not available. Please rebuild apache if you require this configuration.

  4. #4
    Join Date
    May 2009
    Location
    On a Speck!!!!!
    Posts
    216
    It seems like you don't have PHP5 installed in the server. Install PHP5 using the easyapache script and then run the command.

  5. #5
    already installed !
    after installed i see this error
    please help me ..

  6. #6
    Join Date
    May 2009
    Location
    On a Speck!!!!!
    Posts
    216
    Did you try to alter the php configuration after the easyapache compilation?

  7. #7
    I did not catch that should install or should not install suphp .?
    Last edited by relaxiha; 07-18-2009 at 08:56 PM.

  8. #8
    I only have a problem on the new version. But do not have a problem in version 5.2.9.

  9. #9
    Join Date
    Sep 2003
    Location
    Chicago, IL
    Posts
    164
    Could definitely be a problem with the new version its only been out a little over two weeks.

    Very new.
    eSited LLC - Dedicated Servers, VPS, Managed Hosting
    Nullivex LLC - Web Services, PHP Development, System administration.
    █ Visit http://www.esited.com/ or Email contact[at]nullivex.com

  10. #10
    Join Date
    Jun 2006
    Location
    NYC
    Posts
    1,446
    We haven't seen this issue with 5.2.10 (So far 27 servers upgraded) but we are running a heavily modified fcgi/suphp/suhosin/eaccel/freebsd configuration.

    Although, it shows up fine in cPanel.
    Last edited by FiberPeer; 07-19-2009 at 03:24 AM.
    FiberPeer.Com | | REAL DDoS Protection | Cloud Hosting | VPS | Dedicated Servers | High Bandwidth Hosting | 1Gbps-10Gbps Unmetered
    FiberPeer DDoS Mitigation | ethProxy Upgraded! | 14-Years Experience | Emergency 24/7 Support
    Visit us @ www.fiberpeer.com

  11. #11
    Join Date
    Sep 2003
    Location
    Chicago, IL
    Posts
    164
    Just to note here.

    I was thinking of 5.3.0 being pretty new.

    I guess 5.2.10 is as well but it is only a minor release where 5.3.0 has just a monstrosity of changes. I am definitely going to wait until 5.3.1 before upgrading just to see how many production bugs are found in the new release.

    Sure be nice if the CentOS repos would at least get out of the 5.1.x series. For the quick setup and code installs.
    eSited LLC - Dedicated Servers, VPS, Managed Hosting
    Nullivex LLC - Web Services, PHP Development, System administration.
    █ Visit http://www.esited.com/ or Email contact[at]nullivex.com

  12. #12
    I think is not good at all. This version has problems and should wait for that to be resolved. Because my server with no problem and not just copy the same version of such problems have

  13. #13
    Join Date
    Apr 2009
    Location
    Western New York
    Posts
    34
    After contacting CPanel about this, its an apparent bug in php 5.2.10 and your configuration. I'd try 5.2.9 first.

    I posted a lengthy tutorial on successfully fixing this and many other of my easyapache problems at: forum.adminreference.com/viewtopic.php?f=20&t=92
    I even included a nice yaml profile that works perfect.

    I was going to post that tutorial on the webhosting tutorial section for other hosts but I am too new still to post this.

  14. #14
    Hello. I still have the same problem and I do not know which option should I install SuPHP or no.
    Does anyone have a similar problem I or no? Who can to help?

  15. #15
    Join Date
    Nov 2007
    Location
    India
    Posts
    843
    Quote Originally Posted by relaxiha View Post
    Hello. I still have the same problem and I do not know which option should I install SuPHP or no.
    Does anyone have a similar problem I or no? Who can to help?
    when do the easyapache dont click Ioncube

    i also encountered this issue,it resloved me
    HostNotch Hosting Services 99.9% uptime Shared Hosting, Reseller Hosting
    yajur | Sales Team
    CPanel Hosting R1 Soft Offsite-Backup Great Uptime
    http://hostnotch.com sales @ hostnotch.com

  16. #16
    hello
    Easy::Apache v3.2.0 Build 4769
    I did not click this option at all and did not install
    I only click that I wrote the following

    Mod Bandwidth
    Mod Security
    SourceGuardian Loader for PHP
    Zend Optimizer for PHP
    Asis
    AuthnDefault [
    Env
    Expires
    Fileprotect
    MPM Event
    MPM Prefork
    MPM Worker
    Proxy
    UniqueId
    Bcmath
    CGI [
    Calendar
    FTP
    Fastcgi
    GD
    Gettext
    Iconv
    Imap
    Magic Quotes
    Mbregex
    Mysql
    Mysql of the system
    Openssl
    POSIX
    Path Info Check
    Pear
    Sockets
    TTF (
    Zip
    Zlib

  17. #17
    Join Date
    Apr 2009
    Location
    Western New York
    Posts
    34
    I recommend removing:
    MPM Event
    MPM Prefork
    MPM Worker

    and leaving only
    MPM Prefork enabled. I doubt this is your problem, but its a good place to start.

    I also don't use SourceGuardian Loader for PHP, so this might be a cause of your problem.

    Phil

  18. #18
    Currently, Zend Optimizer 3.3.3 is not compatible with PHP 5.2.10, so it's causing your PHP compile to get broken:

    http://forums.cpanel.net/f6/incompat...-a-126601.html

Similar Threads

  1. [problem] Invalid URI in request (httpd problem)
    By xserverx in forum Hosting Security and Technology
    Replies: 0
    Last Post: 05-14-2008, 11:17 AM
  2. Domain Problem , Hosting Problem or Security Problem?
    By xoleno in forum Hosting Security and Technology
    Replies: 0
    Last Post: 03-31-2008, 05:41 AM
  3. Software Problem on Dedicated Server...Not a Problem on Shared??
    By ekusteve in forum Hosting Security and Technology
    Replies: 4
    Last Post: 06-14-2005, 12:35 PM
  4. php problem? Apache problem? Mime? Script can't do upload....
    By galacnet in forum Hosting Security and Technology
    Replies: 7
    Last Post: 05-30-2005, 11:15 AM
  5. Large problem with domains displaying wrong problem.
    By NationHosts in forum Hosting Security and Technology
    Replies: 3
    Last Post: 01-20-2004, 08:05 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •